com.datecs.rfid

## Class STSRICard

- java.lang.Object
- - com.datecs.rfid.ContactlessCard
  - - com.datecs.rfid.STSRICard

-     public class STSRICard
      extends ContactlessCard

- - ### Field Summary

    - ### Fields inherited from class com.datecs.rfid.ContactlessCard

      `afi, atqa, blockSize, capacity, CARD_EPASSPORT, CARD_FELICA, CARD_ISO14443A, CARD_ISO14443B, CARD_ISO15693, CARD_MIFARE_CLASSIC_1K, CARD_MIFARE_CLASSIC_4K, CARD_MIFARE_DESFIRE, CARD_MIFARE_MINI, CARD_MIFARE_PLUS, CARD_MIFARE_ULTRALIGHT, CARD_MIFARE_ULTRALIGHT_C, CARD_PAYMENT, CARD_PICOPASS_14443B, CARD_PICOPASS_15693, CARD_ST_SRI, CARD_UNKNOWN, channel, dsfid, hyatt64Card, maxBlocks, mModule, sak, type, uid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STSRICard(RC663 module)` Constructs a new instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `completion()` Card completion.
    `protected boolean` | `deinitialise()` Deinitialise card.
    `byte[]` | `getUID()` Get UID.
    `boolean` | `initialize()` Initialize card.
    `byte[]` | `readBlock(int address)` Reads one more more blocks of data from ST SRI card.
    `void` | `reset()` Card reset.
    `void` | `writeBlock(int address, byte[] data)` Writes one more more blocks of data to ST SRI card.

    - ### Methods inherited from class com.datecs.rfid.ContactlessCard

      `getModule, getTypeName, waitRemove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### STSRICard

          public STSRICard(RC663 module)

      Constructs a new instance of this class.
      Parameters:
        `module` - The instance of `RC663` module.

  - ### Method Detail

    - #### deinitialise

          protected boolean deinitialise()
                                  throws java.io.IOException

      Description copied from class: `ContactlessCard`
      Deinitialise card.
      Specified by:
        `deinitialise` in class `ContactlessCard`
      Returns:
        on success returns true, otherwise returns false.
      Throws:
        `java.io.IOException` - if an I/O error occurs.

    - #### initialize

          public boolean initialize()
                             throws java.io.IOException

      Initialize card.
      Specified by:
        `initialize` in class `ContactlessCard`
      Returns:
        On success returns true, otherwise returns false.
      Throws:
        `java.io.IOException` - if an I/O error occurs.

    - #### completion

          public void completion()
                          throws java.io.IOException,
                                 RFIDException

      Card completion.
      Throws:
        `java.io.IOException` - If an I/O error occurs.
        `RFIDException` - if an RF663 error occurs.

    - #### reset

          public void reset()
                     throws java.io.IOException,
                            RFIDException

      Card reset.
      Throws:
        `java.io.IOException` - If an I/O error occurs.
        `RFIDException` - if an RF663 error occurs.

    - #### readBlock

          public byte[] readBlock(int address)
                           throws java.io.IOException,
                                  RFIDException

      Reads one more more blocks of data from ST SRI card.
      Parameters:
        `address` - The starting block to read from.
      Returns:
        The number of bytes to read, this must be multiple of block size.
      Throws:
        `java.io.IOException` - If an I/O error occurs.
        `RFIDException` - if an RF663 error occurs.

    - #### writeBlock

          public void writeBlock(int address,
                                 byte[] data)
                          throws java.io.IOException,
                                 RFIDException

      Writes one more more blocks of data to ST SRI card.
      Parameters:
        `address` - The starting block to write to.
        `data` - The data to write, it must be multiple of block size.
      Throws:
        `java.io.IOException` - If an I/O error occurs.
        `RFIDException` - if an RF663 error occurs.

    - #### getUID

          public byte[] getUID()
                        throws java.io.IOException,
                               RFIDException

      Get UID.
      Returns:
        the UID value.
      Throws:
        `java.io.IOException` - If an I/O error occurs.
        `RFIDException` - if an RF663 error occurs.